/* filename:    irfplot.g
** description: The program plots the 
**              the DSGE impulse response functions
** created:     11/06/01
*/


new;
closeall;
library pgraph, user;
cls;
outwidth 256;

format /mat /on /mb1 /ros 16,8;

/** Global defaults **/
  _verbose = 1;           /** 1 for verbose **/

/** Grid for Theta1 **/

th1_min  = 0.0001;
th1_max  = 10;
th1_n    = 101;
th1_grid = seqa(th1_min,(th1_max-th1_min)/(th1_n-1),th1_n);


/** Bounds for Theta2 **/

th2_uv = -0.5 + sqrt(0.25+ 1./th1_grid);
th2_lv = -0.5 - sqrt(0.25+ 1./th1_grid);


/* Plot Identification Region
*/
          
graphset;
begwind;
margin(0.2,0.2,0.2,0.2);
window(1,1,0);
fonts("microb");
_ptitlht = 0.4;
_paxht = 0.3;
_pnumht = 0.35;

_pltype = { 6 };
_pcolor = { 1 };

_protate = 0; 
_plctrl = 0;
_plwidth = 15;
_psymsiz = 5;
_protate = 0;

xtics(-2,10,2,2); 
ytics(-4,4,2,2);
_pline = ( 1 ~ 1 ~ 0 ~ -4 ~ 0 ~ 4 ~ 1 ~ 4 ~ 15) ;

xlabel("Theta 1");
ylabel("Theta 2");

xy(th1_grid,  th2_uv~th2_lv);
             
endwind;
