/******************************************************************************
* 
******************************************************************************/

new;
/** set seed **/
/** rndseed 1234; **/

/********************************************************
* House cleaning and set defaults
********************************************************/
library pgraph, user;
cls;
outwidth 256;

format /mat /on /mb1 /ros 16,8;

/** Global defaults **/
_verbose = 1;       /** 1 for verbose **/

#include ss_spec.g;
#include pathspec.g;
#include evalmod.g;

/** start log file **/
outstr = resupath $+ "\\likegrid" $+ ".log";
output file = ^outstr reset;

/********************************************************
* Import data series
********************************************************/
#include loaddata.g;
nobs  = rows(YY);          /** number of observations **/

/********************************************************
* Initialize Output files
********************************************************/

opath   = parapath $+ "\\likegrid";
chkdir  = chk_dir(opath);
olike   = opath $+ "\\like" ;

create fhlike = ^olike with LIKE, (th1_n+1), 8;

th3 = 1;

rowind = 1;
do until rowind > th2_n;

   th2 = th2_grid[rowind];
   like_row = zeros(1,th1_n);
   
   colind = 1;
   do until colind > th1_n;
     
      th1 = th1_grid[colind];  
      like_row[1,colind] = evalmod((th1|th2|th3),YY,msel); 
      
      /*
      rho = th1_grid[colind];
      
      th11 = sqrt(rho);
      th21 = (1-th11^2)/th11;
      like1 = evalmod((th11|th21|th3),YY,msel); 
      
      th11 th21 like1;
      
      th12 = sqrt(1-rho);
      th22 = th12;
      like2 = evalmod((th12|th22|th3),YY,msel); 
      
      th12 th22 like2;
      
      "============";
      */      
      colind = colind+1;
      
   endo;
   
   "Theta 2" th2;
   (th1_grid'|like_row);
   "-----------------------------------------------";
   pause(1e-5);
   
   wr = writer(fhlike,(like_row)~th2);
   rowind = rowind +1;
   
endo;      

wr = writer(fhlike,(th1_grid'~0));

closeall fhlike;
output file = ^outstr off;

end;
