/********************************************************************
*  Model Specification and Global Setting
*
*  Last updated: 05/31/2005
********************************************************************/
/********************************************************************
* 
********************************************************************/
dlibrary -a PszTgSen,PsdTgSen;

msel = zeros(2,1);

datasel = 2;
msel[1] = 1;
msel[2] = 0;

subT    = 2;
mprior  = 0;

/************************************************
*  MSEL[1]:
*   1 benchmark model
************************************************/
lmodel = "m" $+ ftos(msel[1],"%*.*lf",1,0);

/************************************************
*  MSEL[2]:
*   not used
************************************************/
lmodel = lmodel $+ ftos(msel[2],"%*.*lf",1,0);

/************************************************
*  DATASEL
*   1  
*   2  
************************************************/
dataselstr = "d" $+ ftos(datasel,"%*.*lf",1,0);


/************************************************
*  subT
*
*     1 100 obs
*     1 200 obs
*     2 1000 obs
*     
*
************************************************/
subTstr = "t" $+ ftos(subT,"%*.*lf",1,0);
Tsim = 100 | 500 | 5000;

/************************************************
*  mprior
************************************************/
lprior = "p" $+ ftos(mprior,"%*.*lf",1,0);

npara = 3;
Tsimburn  = 100;
Tsimtotal = 5000 + Tsimburn;


/************************************************
* Grid for likelihood evaluation
************************************************/

th1_min = 0.01;
th1_max = 0.99;
th1_n = 51;
th1_grid = seqa(th1_min, (th1_max-th1_min)/(th1_n-1), th1_n);

th2_min =  0;
th2_max =  1;
th2_n = 51;
th2_grid = seqa(th2_min, (th2_max-th2_min)/(th2_n-1), th2_n);
