/********************************************************************
** Likelihood Evaluation using Kalman Filter
**
** {loglh,retcode,obserror,obsvar} = evalmod(para,YY,msel);
** #include ****_mod.src,  to run this procedure
**
** Last updated: 06/16/2005 
********************************************************************/

proc (1) = evalpenalty(para,msel,sstargets);
           /* targets are: i/y, markup, */
local sst, lnyst, lam, ist, lsh,
      valid, penalty, T0, T1, TC, TETA, RC, retcode;

if msel[2] == 1;

   {T1,TC,T0,TETA,RC,retcode} = dsgesolv(para,msel);
   {sst, valid}=dsgess(para,msel); 
   
   lnyst    = para[28];
   lam      = para[3];
   ist      = sst[13];
   lsh      = sst[24];

   if (valid == 0) or (retcode == 1) or (RC[1] NE 1) or (RC[2] NE 1); 
      penalty = -1E8;
   else;
      penalty = -0.5*( (ist/exp(lnyst)) - sstargets[1,1] )^2/sstargets[1,2]^2 
                -0.5*( lam-sstargets[2,1] )^2/sstargets[2,2]^2
                -0.5*( lsh-sstargets[3,1] )^2/sstargets[3,2]^2;
   endif;

else; 

   penalty = 0;
   
endif;

retp(penalty);
endp;
