/* filename:    var_mddplot.g
** description: 
** created:     
*/

new;
/** set seed **/
/** rndseed 1234; **/

/********************************************************
* House cleaning and set defaults
********************************************************/
library pgraph, user;
cls;
outwidth 256;

format /mat /on /mb1 /ros 16,8;

mhrun = "1";

/** Global defaults **/
__output = 1;       /** 1 for verbose of CSMIN**/
__graph  = 1;       /** 1 for graph mode **/
_verbose = 2;       /** 0 for silence, 1 for compact, 2 for detailed**/
_fcmptol = 1E-10;

/** only the following 2 lines are model dependent **/
#include dsge_spec.g;
#include var_spec.g;
#include pathspec.g;

/** set lambda-grid **/
lamgrid  =  101 | 50 | 10 | 5 | 2 | 1 | 0.75 | 0.5 | 0.3 | 0 ;
nlambda = rows(lamgrid);

/** set Tind **/
lsamp = "T01";

/** initialize marginal data densities **/
mddgrid = zeros(nlambda,1);

/** iterate over lambda grid **/
lamind = 1;
do until lamind > nlambda;

   lambda = lamgrid[lamind,1];
   llam = "L" $+ ftos(90000+10*lambda,"%*.*lf",5,0);

   lpath  = parapath $+ "\\mhrun" $+ mhrun;
   lmdd  = lpath $+ "\\" $+ llam $+ lsamp $+ "mhdd";

   open fhmdd = ^lmdd for read; 
   
   mddrow = readr(fhmdd,1);
   mddrow = mddrow[cols(mddrow)-17:cols(mddrow)-9];
   mddgrid[lamind] = meanc(mddrow');

   closeall;
   
   lamind = lamind+1;
   
endo;


graphset;
begwind;
margin(0,0,0.2,0.2);
window(1,1,0);
fonts("microb");
_ptitlht = 0.3;
_paxht = 0.3;
_pnumht = 0.25;
_pltype = {6 3 3 1};
_pcolor = {4 4 4 1};
_protate = 0; 
_plctrl = 0;
_plwidth = 6.5;
_psymsiz = 5;

zetgrid = lamgrid;
zetgrid[1] = 1E8;
zetgrid = zetgrid./(1+zetgrid);

xtics(0,1,0.2,1);
ytics(-1000,-850,50,2);

title("Log Marginal Data Density");
xlabel("Lambda/(1+Lambda)");
xy(zetgrid,mddgrid);

endwind;