/* filename:    birfpmom.g
** description: posterior mode batch
** created:     11/05/01
*/

new;
cls;

mhrun  = "1";
modelvec = "var";


/* Choose model: "var" or "dsge"
*/

nburn  = 1001;        
/* nburn  = 1;  */
/* Number of initial draws to be discarded 
** use nburn = 1 for draws from prior
** use the equivalent of 20 percent for draws from posterior */

hpdprob     = 0.90;
block_size  = 10000;

/** only the following 2 lines are model dependent **/
#include dsge_mod.src;
#include dsge_para.src;
#include dsge_spec.g;
#include var_spec.g;

#include pathspec.g;

modind = 1;
do until modind > rows(modelvec);

modelid = modelvec[modind];

/******************************************************** 
** Iterate over lambda
*/

Tind = 1;
do until Tind > 1;

   /********************************************************
   * Import data series
   ********************************************************/
   
   lamind = 1;
   do until lamind > rows(lamgrid);
   
   /*
   lamind = 1;
   do until lamind > 1;
   */

      lambda = lamgrid[lamind];
      gosub runproc;

      lamind = lamind+1;

   endo;

   Tind = Tind+1;  

endo;

modind = modind + 1;
endo;

end;

runproc:

"";
"";
"";
"=========================================================";
"Index L,T" lamind Tind;
"LAMBDA = " lambda;
"---------------------------------------------------------";

#include p_irfpmom.g

return;
