/* filename:    var_irf.g
** description: posterior mode batch
** created:     11/05/01
*/

new;
/** set seed **/
/** rndseed 1234; **/

/********************************************************
* House cleaning and set defaults
********************************************************/
library pgraph, user;
cls;
outwidth 256;

format /mat /on /mb1 /ros 16,8;

nblock = 10000;
mhrun = "1";
nuse = 10;


/** Global defaults **/
__output = 1;       /** 1 for verbose of CSMIN**/
__graph  = 1;       /** 1 for graph mode **/
_verbose = 2;       /** 0 for silence, 1 for compact, 2 for detailed**/
_fcmptol = 1E-10;

/** only the following 2 lines are model dependent **/
#include dsge_mod.src;
#include dsge_para.src;
#include dsge_spec.g;
#include var_spec.g;

#include pathspec.g;


/******************************************************** 
** Iterate over lambda
*/

Tind = 1;
do until Tind > 1;

   /********************************************************
   * Import data series
   ********************************************************/
   #include loaddata.g;
   #include var_loaddata.g; 

   
   lamind = 1;
   do until lamind > rows(lamgrid);
   
   /*
   lamind = 1;
   do until lamind > 1;
   */

      lambda = lamgrid[lamind];
      gosub runproc;

      lamind = lamind+1;

   endo;

   Tind = Tind+1;  

endo;
end;

runproc:

"";
"";
"";
"=========================================================";
"Index L,T" lamind Tind;
"LAMBDA = " lambda;
"---------------------------------------------------------";

#include p_varirf.g

return;
